#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libgd
Version		:	2.3.3
Release		:	16.2.0.rel%{?dist}
Summary		:	A Drawing Library for Programs That Use PNG and JPEG Output
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

# the licensing breakdown is described in detail in the COPYING file
License		:	MIT
URL		:	https://github.com/libgd

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libpng-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	fontconfig-devel
BuildRequires	:	freetype-devel
BuildRequires	:	libtiff
BuildRequires	:	libwebp
BuildRequires	:	libtool

#-----------------------------------------------------------------------------
%description
Gd allows your code to quickly draw images complete with lines, arcs,
text, and multiple colors. It supports cut and paste from other images
and flood fills. It outputs PNG, JPEG, and WBMP (for wireless devices)
and is supported by PHP.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CONTRIBUTORS COPYING README.md
%{_bindir}/annotate
%{_bindir}/bdftogd
%{_bindir}/giftogd2
%{_bindir}/gd*
%{_bindir}/png*
%{_bindir}/webpng
%{_libdir}/%{name}.so.*

#=============================================================================
%package		devel
Summary		:	The development libraries and header files for gd

Requires	:	%{name}		=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The gd-devel package contains the development libraries and header
files for gd, a graphics library for creating PNG and JPEG graphics.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gdlib.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-rpath					\
	--disable-static				\

%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
